/*******************************************************************
 Copyright (C) 2011-2024  Patrick H. E. Foubet - S.E.R.I.A.N.E.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or any
later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*******************************************************************/

/* gesip.h : fonctions pour la gestion des adresses IPv4 et IPv6 */

/* les codes qui indiquent la famille d'adresses IP */
#define IP4 0
#define IP6 1
#define ERR -1

extern int valCidr(char * c);
extern int isCidr(char*r);
extern int isCidr6(char*r);
extern int isSousRes(char*r, char *a);

